Bug 1942715 - Administrator -> User Management - i18n misses
Summary: Administrator -> User Management - i18n misses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yanping Zhang
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-24 19:14 UTC by Krishna Babu K
Modified: 2021-07-27 22:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
i18n misses - UserManagement menu (2.12 MB, application/zip)
2021-03-24 19:14 UTC, Krishna Babu K
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8786 0 None open Bug 1942715: Fix User Management i18n misses 2021-04-26 21:15:50 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:47 UTC

Description Krishna Babu K 2021-03-24 19:14:49 UTC
Created attachment 1766030 [details]
i18n misses - UserManagement menu

Description of problem:
In Administrator perspective, 'User Management' menu navigation has some content in English. Took the screenshots and attached here for reference 

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-22-064955

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Content is in English

Expected results:
Content should be in selected language.

Additional info:

Comment 1 Robb Hamilton 2021-03-25 13:42:42 UTC
These issues are the result of missing strings in frontend/public/locales/zh/*.json.

Comment 2 ralpert 2021-03-25 14:01:14 UTC
I'm reducing the severity/priority to low since this is translation-only and doesn't require development work. I'll close this out when we receive translations from the Globalization team for these files. We exchange files roughly every two weeks.

Comment 3 ralpert 2021-04-26 17:52:11 UTC
We received translations back here: https://github.com/openshift/console/pull/8720

I went through the screenshots to verify what Rob said about this being translation-only. Unfortunately, it is not translation-only and will require dev work to internationalize a few missing items.

Remaining items:
* Add users modal has an error in the "Add new Users to Group {name}" string - {name} should be {{name}}
* Roles dropdown “Add RoleBinding” appears to not have kind done 
* “Create Namespace” in Create RoleBinding form not done - Kind may also not be done.
* Kinds in “Duplicate ClusterRoleBInding” and "Edit ClusterRoleBinding subject" on RoleBindings dropdown appear not to be done

Comment 4 ralpert 2021-04-26 18:10:23 UTC
ETA: "Add RoleBinding is fine."

Comment 6 Yanping Zhang 2021-05-17 02:29:18 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-05-15-141455.
The pr fixed i18n issues:
1. Add users modal:"Add new Users to Group **" is marked for translation correctly.
2. Check "Add Rolebinding" in role dropdown action, all items are marked for translation.
3. “Create Namespace” in Create RoleBinding form is marked for translation.
4. On rolebinding list page, check “Duplicate ClusterRoleBInding” and "Edit ClusterRoleBinding subject" on RoleBindings dropdown, they are marked for translation.
All i18n issues mentioned in Comment 3 are fixed.

Comment 9 errata-xmlrpc 2021-07-27 22:55:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.